/**
* A header which can close a pane
*/

#ifndef FXPANEHEADER_H
#define FXPANEHEADER_H

#include <fx.h>

class FXPaneHeader : public FXHorizontalFrame {
  FXDECLARE(FXPaneHeader)

protected:
  FXLabel   *textLabel;
  FXButton  *closeButton;

protected:
  FXPaneHeader();

private:
  FXPaneHeader(const FXPaneHeader&);
  FXPaneHeader &operator=(const FXPaneHeader&);

public:
  long onCmdSetStringValue(FXObject*,FXSelector,void*);
  long onCmdGetStringValue(FXObject*,FXSelector,void*);

public:
  /// Make new pane header
  FXPaneHeader(FXComposite* p, const FXString& lbl, FXIcon* icon=NULL, FXObject* tgt=NULL, FXSelector sel=0,
               FXuint opts=LAYOUT_FILL_X|FRAME_RAISED|FRAME_THICK, FXint x=0, FXint y=0, FXint w=0, FXint h=0,
               FXint pl=0, FXint pr=0, FXint pt=1, FXint pb=1);

  /// Change item's text label
  void setText(const FXString& lbl);

  /// Return item's text label
  FXString getText() const;

  /// Save to a stream
  virtual void save(FXStream& store) const;

  /// Load from a stream
  virtual void load(FXStream& store);

  /// goodbye
  virtual ~FXPaneHeader();
};

#endif FXPANEHEADER_H

